com.corticon.rulesemf.canonicalvocabularymodel

## Interface NamedExtension

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    AssociationEndExtension, AttributeExtension, DomainExtension, EntityExtension, RootExtension

      public interface NamedExtension
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Named Extension'.

  The following features are supported:

  - `Guid`
  - `Name`
  - `Source`
  See Also:
    `CanonicalvocabularymodelPackage.getNamedExtension()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGuid()` Returns the value of the 'Guid' attribute
    `org.eclipse.emf.common.util.EList` | `getName()` Returns the value of the 'Name' containment reference list.
    `java.lang.String` | `getSource()` Returns the value of the 'Source' attribute
    `void` | `setGuid(java.lang.String value)` Sets the value of the '`Guid`' attribute
    `void` | `setSource(java.lang.String value)` Sets the value of the '`Source`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGuid

          java.lang.String getGuid()

      Returns the value of the 'Guid' attribute.

      If the meaning of the 'Guid' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Guid' attribute.
      See Also:
        `setGuid(String)`, `CanonicalvocabularymodelPackage.getNamedExtension_Guid()`

    - #### setGuid

          void setGuid(java.lang.String value)

      Sets the value of the '`Guid`' attribute.
      Parameters:
        `value` - the new value of the 'Guid' attribute.
      See Also:
        `getGuid()`

    - #### getName

          org.eclipse.emf.common.util.EList getName()

      Returns the value of the 'Name' containment reference list. The list contents are of type `VocabularyString`.

      If the meaning of the 'Name' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getNamedExtension_Name()`

    - #### getSource

          java.lang.String getSource()

      Returns the value of the 'Source' attribute.

      If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source' attribute.
      See Also:
        `setSource(String)`, `CanonicalvocabularymodelPackage.getNamedExtension_Source()`

    - #### setSource

          void setSource(java.lang.String value)

      Sets the value of the '`Source`' attribute.
      Parameters:
        `value` - the new value of the 'Source' attribute.
      See Also:
        `getSource()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.